Subject: Re: [rrg] Comments on draft-irtf-rrg-recommendation-01

From: <[email-masked]>
Date: Thu, 9 Apr 2009 10:48:40 +0100

Couple of follow-ups in line, sorry for the delay.
Best wishes
phil

{ -----Original Message-----
{ From: [email-masked] [mailto:[email-masked]] On Behalf Of William
{ Herrin
{ Sent: 30 March 2009 03:38
{ To: Eardley,PL,Philip,CXR9 R
{ Cc: [email-masked]
{ Subject: Re: [rrg] Comments on draft-irtf-rrg-recommendation-01
{ 
{ On 3/26/09, [email-masked] <[email-masked]> wrote:
{ >  i disagree with Criticism 1 of strategy E (let economics suppress
{ growth).
{ > you say that it needs a central authority system whereby money is
{ > transferreed from ISPs announcing prefixes to ISPs running core
{ > routers. i think that only pairwise interactions are needed ie just
{ > between 2 ISPs that are connected.
{ 
{ Hi Philip,
{ 
{ You'd have to negotiate with too many different parties to carry your
{ prefixes. Having your ISP negotiate with it's neighbors such that it's
{ neighbors will carry the negotiations forward to their neighbors
{ yields precisely the system we have today, which brings us full circle
{ to the problem we're trying to solve.

[phil] I don't think it's necessary to " carry the negotiations forward". Negotiating with your neighbours is enough - they then negotiate with their neighbours and so on. After all, when I buy apples I have a contract with the greengrocer or supermarket; the greengrocer has a contract with a wholesaler; the wholesaler has a contract with the farmer. No need for me to negotiate with farmer or clearinghouses. I don't see why it would have to be different in the rrg case.

{ 
{ On the other hand, it doesn't require a central authority, only a
{ central clearinghouse in which all participation is optional and the
{ participants set the rules of their own participation. I posited such
{ a system in a moderate amount of detail on the NANOG list some time
{ last year. Basically, you go to the clearinghouse and post your rates
{ for various types of carriage of routing slots. Then you search
{ everybody else's posted rates according to the criteria that you need
{ in order to get the connectivity you want, and for each of the route
{ announcements you make, you instruct the clearinghouse that you are
{ purchasing the package of ISPs and rates that you specified in the
{ search.
{ 
{ Let me ground that with an example: I have 199.33.224.0/23 multihomed
{ on the Internet. It's for my hobbies. Today that consumes a routing
{ slot on every backbone router on the Internet. Maybe it's enough to
{ authorize Verizon Business to announce 199.0.0.0/8 and then for me to
{ make arrangements with Verizon Business, each ISP in the AS chain from
{ me to Verizon Business and all ISPs who do business within the
{ mid-atlantic states to carry my /23 route. That's still hundreds of
{ entities, far too many to contact and negotiate with by hand. But with
{ a clearinghouse to facilitate the negotiation and payment process, I
{ could have full Internet connectivity while consuming routing slots in
{ less than a thousand organizations instead of some thirty thousand
{ worldwide. That would lower the real-world impact from the more than
{ $6k per slot per year today to maybe a couple hundred dollars -- which
{ I could easily afford to pay.
{ 
{ 
{ >  something on the lines of the second criticism seems ok, although
{ >"giving up a solution that genuinely enables users" seems rather
{ > provocative /vague [sorry, no text suggestion at the moment]
{ 
{ The long version of that statement went something like this:
{ 
{ If we're resource-constrained so that we can really only have a few
{ hundred thousand routing slots in the Internet then the Domino's Pizza
{ franchise down the street can't be multihomed with two ISPs. There
{ just aren't enough routing slots to give them away. Over time, the
{ scarcity of those routing slots will make them more and more valuable
{ to the point where I can't afford to keep my basement multihomed
{ either.
{ 
{ This does not empower me as an individual; quite the opposite, I'm
{ obstructed from consuming the resource for something as trite as my
{ personal hobbies.

[phil] maybe we have a philosophical difference here. it seems to me a good architectural goal for a protocol to allow costs to be allocated to those that cause them, without having to distort/break the protocol; enabling a party to do what it wants for free regardless of its impact on other parties seems to me a poor goal - or at least it is likely that (once the impact is economically significant) the architecture will get distorted somehow.

{ 
{ Regards,
{ Bill Herrin
{ 
{ 
{ --
{ William D. Herrin ................ [email-masked]  [email-masked]
{ 3005 Crane Dr. ...................... Web: <http://bill.herrin.us/>
{ Falls Church, VA 22042-3004

---

From: William Herrin <[email-masked]>
Date: Thu, 9 Apr 2009 11:23:54 -0400

On Thu, Apr 9, 2009 at 5:48 AM,  <[email-masked]> wrote:
> [phil] I don't think it's necessary to " carry the negotiations forward". Negotiating with your neighbours is enough - they then negotiate with their neighbours and so on. After all, when I buy apples I have a contract with the greengrocer or supermarket; the greengrocer has a contract with a wholesaler; the wholesaler has a contract with the farmer.

Hi Phil,

If you've inserted a subtlety here, it escapes me. You've described
the status quo in which experience shows that the result is all DFZ
routes are carried by all DFZ routers.

> [phil] maybe we have a philosophical difference here. it seems to me a good architectural goal for a protocol to allow costs to be allocated to those that cause them, without having to distort/break the protocol.

Agreed in principle.

One fly in the ointment is that there is no source provider from which
the cost can flow. If I want a particular kind of apple, the costs
flow from the grower of that apple out through however many middlemen
and transport processes it takes to get that apple to me.

Costs in Internet transport are radically different; they flow from a
loose cabal of middlemen (the tier 1 backbones) out towards both the
suppliers and the consumers. We've found a mechanism that more or less
successfully assigns bandwidth costs in this economic architecture
(transit and peering) but what mechanism could assign the cost of
routing slots?

Regards,
Bill Herrin

-- 
William D. Herrin ................ [email-masked]  [email-masked]
3005 Crane Dr. ...................... Web: <http://bill.herrin.us/>
Falls Church, VA 22042-3004